Package be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

# Class CDCARENETNATIONALINSURANCE

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDCARENETNATIONALINSURANCE

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class CDCARENETNATIONALINSURANCE extends Object implements Serializable

Java class for CD-CARENET-NATIONAL-INSURANCE complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CD-CARENET-NATIONAL-INSURANCE">
       <simpleContent>
         <extension base="<http://www.ehealth.fgov.be/standards/kmehr/cd/v1>CD-CARENET-NATIONAL-INSURANCEvalues">
           <attribute name="S" use="required" type="{http://www.w3.org/2001/XMLSchema}string" fixed="CD-CARENET-NATIONAL-INSURANCE" />
           <attribute name="SV" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="DN" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="L" type="{http://www.w3.org/2001/XMLSchema}language" default="en" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CDCARENETNATIONALINSURANCE()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDN()`
  Gets the value of the dn property.
  `String`
  `getL()`
  Gets the value of the l property.
  `String`
  `getS()`
  Gets the value of the s property.
  `String`
  `getSV()`
  Gets the value of the sv property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setDN(String value)`
  Sets the value of the dn property.
  `void`
  `setL(String value)`
  Sets the value of the l property.
  `void`
  `setS(String value)`
  Sets the value of the s property.
  `void`
  `setSV(String value)`
  Sets the value of the sv property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CDCARENETNATIONALINSURANCE

    public CDCARENETNATIONALINSURANCE()

- ## Method Details

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`

  - ### getS

    public String getS()
    Gets the value of the s property.
    Returns:
      possible object is `String`

  - ### setS

    public void setS(String value)
    Sets the value of the s property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSV

    public String getSV()
    Gets the value of the sv property.
    Returns:
      possible object is `String`

  - ### setSV

    public void setSV(String value)
    Sets the value of the sv property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDN

    public String getDN()
    Gets the value of the dn property.
    Returns:
      possible object is `String`

  - ### setDN

    public void setDN(String value)
    Sets the value of the dn property.
    Parameters:
      `value` - allowed object is `String`

  - ### getL

    public String getL()
    Gets the value of the l property.
    Returns:
      possible object is `String`

  - ### setL

    public void setL(String value)
    Sets the value of the l property.
    Parameters:
      `value` - allowed object is `String`